summaryrefslogtreecommitdiff
path: root/dev-python/setuptools
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/setuptools
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadataHEADdevelop
Diffstat (limited to 'dev-python/setuptools')
-rw-r--r--dev-python/setuptools/Manifest2
-rw-r--r--dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch86
-rw-r--r--dev-python/setuptools/files/setuptools-75.6.0-disable-trove-classifiers.patch32
-rw-r--r--dev-python/setuptools/metadata.xml13
-rw-r--r--dev-python/setuptools/setuptools-79.0.1.ebuild134
-rw-r--r--dev-python/setuptools/setuptools-82.0.1.ebuild122
6 files changed, 389 insertions, 0 deletions
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
new file mode 100644
index 000000000000..c38ebb75278f
--- /dev/null
+++ b/dev-python/setuptools/Manifest
@@ -0,0 +1,2 @@
+DIST setuptools-79.0.1.tar.gz 1367909 BLAKE2B d495a22753400b3b0ef71423e2c9b5adaad1a065d1f9638b5da8161b29c453495701c3efaa3abd2482777e186ba992bd7b57090dfc711d9cdfdaa8254616a8ff SHA512 5b68d7cc775f4318e178f7d7f69c60a01b1abc607411e88c88e3507a08bd85eed241b915d4be5f3ada90df4b68718056c2ba032943c1f53fe68d171c7d728179
+DIST setuptools-82.0.1.tar.gz 1152316 BLAKE2B d7f6eaf62ec66355b65642bc20a7a549e167dd6d1c0cdb15926b6644a23cab7737d713cd9418e0cc09161eb0bff53ffd0b8781c96d9203717077121c1e3cc0d5 SHA512 5d70e9efd818245fb8119a4eed64d776078469ed884facc188f141ea491efd9fde5c10c928d3236ea5e2e431b16616f18ed14870b867f95e6320251707332395
diff --git a/dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch b/dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch
new file mode 100644
index 000000000000..09d630b363a2
--- /dev/null
+++ b/dev-python/setuptools/files/setuptools-62.4.0-py-compile.patch
@@ -0,0 +1,86 @@
+From 8911d627245f4389488c5d65cce6d1258f4cce7b Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 14 Jun 2022 05:58:20 +0200
+Subject: [PATCH] make -OO enable both opt-1 and opt-2
+
+---
+ setuptools/_distutils/command/build_py.py | 10 ++++------
+ setuptools/_distutils/command/install_lib.py | 14 ++++++--------
+ 2 files changed, 10 insertions(+), 14 deletions(-)
+
+diff --git a/setuptools/_distutils/command/build_py.py b/setuptools/_distutils/command/build_py.py
+index 1b22004e..88565bce 100644
+--- a/setuptools/_distutils/command/build_py.py
++++ b/setuptools/_distutils/command/build_py.py
+@@ -325,11 +325,9 @@ class build_py(Command):
+ outputs.append(
+ importlib.util.cache_from_source(filename, optimization='')
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ outputs.append(
+- importlib.util.cache_from_source(
+- filename, optimization=self.optimize
+- )
++ importlib.util.cache_from_source(filename, optimization=opt)
+ )
+
+ outputs += [
+@@ -403,10 +401,10 @@ class build_py(Command):
+ byte_compile(
+ files, optimize=0, force=self.force, prefix=prefix, dry_run=self.dry_run
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ byte_compile(
+ files,
+- optimize=self.optimize,
++ optimize=opt,
+ force=self.force,
+ prefix=prefix,
+ dry_run=self.dry_run,
+diff --git a/setuptools/_distutils/command/install_lib.py b/setuptools/_distutils/command/install_lib.py
+index ad3089c8..7f906a29 100644
+--- a/setuptools/_distutils/command/install_lib.py
++++ b/setuptools/_distutils/command/install_lib.py
+@@ -25,8 +25,8 @@ class install_lib(Command):
+ # 2) compile .pyc only (--compile --no-optimize; default)
+ # 3) compile .pyc and "opt-1" .pyc (--compile --optimize)
+ # 4) compile "opt-1" .pyc only (--no-compile --optimize)
+- # 5) compile .pyc and "opt-2" .pyc (--compile --optimize-more)
+- # 6) compile "opt-2" .pyc only (--no-compile --optimize-more)
++ # 5) compile .pyc, "opt-1" and "opt-2" .pyc (--compile --optimize-more)
++ # 6) compile "opt-1" and "opt-2" .pyc (--no-compile --optimize-more)
+ #
+ # The UI for this is two options, 'compile' and 'optimize'.
+ # 'compile' is strictly boolean, and only decides whether to
+@@ -142,10 +142,10 @@ class install_lib(Command):
+ prefix=install_root,
+ dry_run=self.dry_run,
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ byte_compile(
+ files,
+- optimize=self.optimize,
++ optimize=opt,
+ force=self.force,
+ prefix=install_root,
+ verbose=self.verbose,
+@@ -182,11 +182,9 @@ class install_lib(Command):
+ bytecode_files.append(
+ importlib.util.cache_from_source(py_file, optimization='')
+ )
+- if self.optimize > 0:
++ for opt in range(1, self.optimize + 1):
+ bytecode_files.append(
+- importlib.util.cache_from_source(
+- py_file, optimization=self.optimize
+- )
++ importlib.util.cache_from_source(py_file, optimization=opt)
+ )
+
+ return bytecode_files
+--
+2.35.1
+
diff --git a/dev-python/setuptools/files/setuptools-75.6.0-disable-trove-classifiers.patch b/dev-python/setuptools/files/setuptools-75.6.0-disable-trove-classifiers.patch
new file mode 100644
index 000000000000..c5111e985f61
--- /dev/null
+++ b/dev-python/setuptools/files/setuptools-75.6.0-disable-trove-classifiers.patch
@@ -0,0 +1,32 @@
+From 0d9e8bc7d6df86381ac56770dc95fc75276f49ef Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Thu, 21 Nov 2024 20:40:14 +0100
+Subject: [PATCH] Add an option to disable using trove-classifiers package
+
+As requested in https://github.com/pypa/setuptools/issues/4459, add
+a VALIDATE_PYPROJECT_NO_TROVE_CLASSIFIERS environment variable that can
+be used to disable using trove_classifiers package even if it is
+available. This can be used when the system features an outdated
+trove_classifiers, and therefore incorrectly triggers validation error.
+The change is designed to be absolutely minimal and non-intrusive.
+---
+ setuptools/config/_validate_pyproject/formats.py | 3 +++
+ 1 file changed, 3 insertions(+)
+
+diff --git a/setuptools/config/_validate_pyproject/formats.py b/setuptools/config/_validate_pyproject/formats.py
+index aacf4092b..0b05ab17b 100644
+--- a/setuptools/config/_validate_pyproject/formats.py
++++ b/setuptools/config/_validate_pyproject/formats.py
+@@ -210,6 +210,9 @@ try:
+ """See https://pypi.org/classifiers/"""
+ return value in _trove_classifiers or value.lower().startswith("private ::")
+
++ if os.getenv("VALIDATE_PYPROJECT_NO_TROVE_CLASSIFIERS"): # pragma: no cover
++ raise ImportError()
++
+ except ImportError: # pragma: no cover
+ trove_classifier = _TroveClassifier()
+
+--
+2.47.0
+
diff --git a/dev-python/setuptools/metadata.xml b/dev-python/setuptools/metadata.xml
new file mode 100644
index 000000000000..b5dfc54e62fe
--- /dev/null
+++ b/dev-python/setuptools/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <upstream>
+ <remote-id type="cpe">cpe:/a:python:setuptools</remote-id>
+ </upstream>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/setuptools/setuptools-79.0.1.ebuild b/dev-python/setuptools/setuptools-79.0.1.ebuild
new file mode 100644
index 000000000000..d0241741a821
--- /dev/null
+++ b/dev-python/setuptools/setuptools-79.0.1.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+# please bump dev-python/ensurepip-setuptools along with this package!
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{13..14} )
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !<dev-python/setuptools-rust-1.8.0
+ dev-python/jaraco-collections[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-functools-4[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24.2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-4.2.2[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.44.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+ !<=dev-libs/gobject-introspection-1.76.1-r0
+ !=dev-libs/gobject-introspection-1.78.1-r0
+ !=dev-libs/gobject-introspection-1.80.1-r1
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/build-1.0.3[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.14[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.7.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-test-5.5[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ >=dev-python/pytest-home-0.5[${PYTHON_USEDEP}]
+ dev-python/pytest-subprocess[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+# setuptools-scm is here because installing plugins apparently breaks stuff at
+# runtime, so let's pull it early. See bug #663324.
+#
+# trove-classifiers are optionally used in validation, if they are
+# installed. Since we really oughtn't block them, let's always enforce
+# the newest version for the time being to avoid errors.
+# https://github.com/pypa/setuptools/issues/4459
+PDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ >=dev-python/trove-classifiers-2024.10.16[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}/setuptools-62.4.0-py-compile.patch"
+ # https://github.com/abravalheri/validate-pyproject/pull/221
+ "${FILESDIR}/setuptools-75.6.0-disable-trove-classifiers.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # breaks tests
+ sed -i -e '/--import-mode/d' pytest.ini || die
+
+ # remove bundled dependencies
+ rm -r */_vendor || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ setuptools/tests/test_build_meta.py::test_legacy_editable_install
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_editable_install.py
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ # fails if python-xlib is installed
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ # TODO, probably some random package
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_cmdclass
+ # broken by unbundling
+ setuptools/tests/test_setuptools.py::test_wheel_includes_vendored_metadata
+ # fails on normalized metadata, perhaps different dep version?
+ setuptools/tests/test_build_meta.py::TestBuildMetaBackend::test_build_with_pyproject_config
+ # TODO
+ setuptools/tests/test_sdist.py::test_sanity_check_setuptools_own_sdist
+ # relies on -Werror
+ setuptools/_static.py::setuptools._static.Dict
+ setuptools/_static.py::setuptools._static.List
+ # TODO
+ setuptools/dist.py::setuptools.dist.Distribution._find_pattern
+ )
+
+ local EPYTEST_XDIST=1
+ local -x PRE_BUILT_SETUPTOOLS_WHEEL=${DISTUTILS_WHEEL_PATH}
+ epytest -o tmp_path_retention_policy=all \
+ -m "not uses_network" setuptools
+}
diff --git a/dev-python/setuptools/setuptools-82.0.1.ebuild b/dev-python/setuptools/setuptools-82.0.1.ebuild
new file mode 100644
index 000000000000..5c68f76456db
--- /dev/null
+++ b/dev-python/setuptools/setuptools-82.0.1.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+# please bump dev-python/ensurepip-setuptools along with this package!
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{13..14} )
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/jaraco-functools-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-text-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-10.8.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-25.0[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.45.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ >=dev-python/build-1.0.3[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.14[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.7.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-test-5.5[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ >=dev-python/pytest-home-0.5[${PYTHON_USEDEP}]
+ dev-python/pytest-subprocess[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+# setuptools-scm is here because installing plugins apparently breaks stuff at
+# runtime, so let's pull it early. See bug #663324.
+#
+# trove-classifiers are optionally used in validation, if they are
+# installed. Since we really oughtn't block them, let's always enforce
+# the newest version for the time being to avoid errors.
+# https://github.com/pypa/setuptools/issues/4459
+PDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ >=dev-python/trove-classifiers-2024.10.16[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ local PATCHES=(
+ # https://github.com/abravalheri/validate-pyproject/pull/221
+ "${FILESDIR}/setuptools-75.6.0-disable-trove-classifiers.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # remove bundled dependencies
+ rm -r */_vendor || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # broken by unbundling (e.g. installs self-wheel into venv)
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_editable_install.py
+ setuptools/tests/test_sdist.py::test_sanity_check_setuptools_own_sdist
+ setuptools/tests/test_setuptools.py::test_wheel_includes_vendored_metadata
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_entry_points
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ # TODO, probably some random package
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_cmdclass
+ # relies on -Werror
+ setuptools/_static.py::setuptools._static.Dict
+ setuptools/_static.py::setuptools._static.List
+ # Internet
+ setuptools/tests/test_build_py.py::TestTypeInfoFiles::test_type_files_included_by_default
+ setuptools/tests/test_dist.py::test_dist_fetch_build_egg
+ setuptools/tests/test_namespaces.py::TestNamespaces::test_mixed_site_and_non_site
+ setuptools/tests/test_namespaces.py::TestNamespaces::test_namespace_package_installed_and_cwd
+ setuptools/tests/test_namespaces.py::TestNamespaces::test_packages_in_the_same_namespace_installed_and_cwd
+ setuptools/tests/test_namespaces.py::TestNamespaces::test_pkg_resources_import
+ # broken by warnings from setuptools-scm
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestPresetField::test_scripts_dont_require_dynamic_entry_points
+ # TODO
+ 'setuptools/tests/test_egg_info.py::TestEggInfo::test_requires[setup_requires_with_markers]'
+ )
+
+ local EPYTEST_XDIST=1
+ local -x PRE_BUILT_SETUPTOOLS_WHEEL=${DISTUTILS_WHEEL_PATH}
+ local EPYTEST_PLUGINS=( pytest-{home,subprocess,timeout} )
+ epytest -o filterwarnings= -o tmp_path_retention_policy=all \
+ -m "not uses_network" setuptools
+}